
Redmine - Feature #10888

Bring back List-Id to help aid Gmail filtering

2012-05-11 20:05 - Ken Barber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.4.2   

Resolution: Fixed   

Description

In #2879 you added a header called 'List-Id' to help solve your vacation responder problems.

In #2984 however this change was revoked because it didn't solve the problem with Outlook.

However, I'd like to see the List-Id header brought back, as it gets treated like a first class filter type in Gmail filtering and would

greatly help my workflow. I can see that the original problem was around bulk-handling and vacation responders, but this request isn't

aimed at that at all.

I would presume the solution would be to bring back the original code in app/models/mailer.rb:

'List-Id' => "<#{Setting.mail_from.to_s.gsub('@', '.')}>"

 As show in this revision:

<http://www.redmine.org/projects/redmine/repository/revisions/2565/diff/trunk/app/models/mailer.rb>

Related issues:

Related to Redmine - Feature #13359: Add project identifier to List-Id header... Closed

Associated revisions

Revision 9687 - 2012-05-13 12:44 - Jean-Philippe Lang

Restored List-Id header in email notifications (#10888).

History

#1 - 2012-05-13 12:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.2

- Resolution set to Fixed

Header added back in 1.4.2.

#2 - 2013-03-06 18:59 - Jimmy Engelbrecht

Suggested improvement #13359
